Subject: bug#45821: Emacs UDP support on Windows

From: Robert Pluim <[email-masked]>
Date: Mon, 02 Jan 2023 11:10:39 +0100

>>>>> On Sun, 1 Jan 2023 23:01:04 +0000, Alex Matei <[email-masked]> said:

    Alex>   *   Can we make the documentation for developing for Emacs more discoverable? Maybe with a markdown / .org README?
    Alex>      *   Are we allowed to update the README with more up-to
    Alex>      date information, on the series of MYSYS packages
    Alex>      needed to be downloaded, and potentially with links to
    Alex>      blog posts that describe the process in

That would go in INSTALL (I suspect a bunch of it is there already)

    Alex>   *   Can we add sections about creating/ applying patches to the README?
    Alex>      *   I had a bit of work to discover how  `git am` works , and the whole business of email patches, etc.
    Alex>         *   It would be great if all of this will be part of
    Alex>      the original README

Stuff about git, patches, etc, is documented in CONTRIBUTE

    Alex>   *   Where can I find more information about logging from C code?
    Alex>      *   Ideally I would like to compile Emacs with some new C functions, and then easily observe the behavior of these functions
    Alex>         *   Logging is the most useful thing to have, before you can think of advanced debugging, and having an easy way (with examples) for you to send logs somewhere (preferably Emacs) would be great
    Alex>         *   Sure, debugger is great but that has the overhead of you getting used to GDB, etc.. (saw some documentation on EmacsWiki)
    Alex>         *   I am curious what people do? Do they write to a stream and then pipe it to a file, and monitor it, or how do they get feedback from the C code they wrote?

Thereʼs nothing wrong with `fprintf' 😀. If you want stuff to stay at
the lisp level you can use `Fmessage' (or even `message1') which will
put things in the *Messages* buffer.

Robert
--